<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<title>DUNE Warm Interface Board: WIB_ARCH Architecture  Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">DUNE Warm Interface Board
   </div>
   <div id="projectbrief">Firmware for the DUNE Warm Interface Board (WIB)</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="classes.html"><span>Design&#160;Units</span></a></li>
      <li><a href="inherits.html"><span>Design&#160;Unit&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Design&#160;Unit&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Variables</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="classWIB.html">WIB</a></li><li class="navelem"><a class="el" href="classWIB_1_1WIB__ARCH.html">WIB_ARCH</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">WIB_ARCH Architecture Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><a href="classWIB_1_1WIB__ARCH-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Processes"></a>
Processes</h2></td></tr>
 <tr class="memitem:ad2e101593887811f93e29d542c156291"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad2e101593887811f93e29d542c156291"></a>
<a class="el" href="classWIB_1_1WIB__ARCH.html#ad2e101593887811f93e29d542c156291">WIB_ID_control</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">clk_50Mhz</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a0b146174d95508076f2b89dca6d391c5"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a0b146174d95508076f2b89dca6d391c5"></a>
<a class="el" href="classWIB_1_1WIB__ARCH.html#a0b146174d95508076f2b89dca6d391c5">addr</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">clk_50Mhz</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">sys_pll_locked</span><span class="vhdlchar"> </span></b> )</b></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Components"></a>
Components</h2></td></tr>
 <tr class="memitem:a389c3b0eea9af608605dfaa2c16f7cc5"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a389c3b0eea9af608605dfaa2c16f7cc5"></a>
<a class="el" href="classWIB_1_1WIB__ARCH.html#a389c3b0eea9af608605dfaa2c16f7cc5">reseter</a>&#160;</td><td class="memItemRight" valign="bottom">  <b></b>  <em><a class="el" href="classreseter.html">&lt;Entity reseter&gt; </a></em></td></tr>
<tr class="memitem:a9aef0f143adef707735223935e83599a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9aef0f143adef707735223935e83599a"></a>
<a class="el" href="classWIB_1_1WIB__ARCH.html#a9aef0f143adef707735223935e83599a">sys_rst</a>&#160;</td><td class="memItemRight" valign="bottom">  <b></b>  <em><a class="el" href="classsys__rst.html">&lt;Entity sys_rst&gt; </a></em></td></tr>
<tr class="memitem:a4fdba0df719476a6d35013f30b207f77"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a4fdba0df719476a6d35013f30b207f77"></a>
<a class="el" href="classWIB_1_1WIB__ARCH.html#a4fdba0df719476a6d35013f30b207f77">sys_pll</a>&#160;</td><td class="memItemRight" valign="bottom">  <b></b>  <em><a class="el" href="classsys__pll.html">&lt;Entity sys_pll&gt; </a></em></td></tr>
<tr class="memitem:a53dc15771798b3d94188cdba5452cd04"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a53dc15771798b3d94188cdba5452cd04"></a>
<a class="el" href="classWIB_1_1WIB__ARCH.html#a53dc15771798b3d94188cdba5452cd04">REFCLK_PLL</a>&#160;</td><td class="memItemRight" valign="bottom">  <b></b>  <em><a class="el" href="classREFCLK__PLL.html">&lt;Entity REFCLK_PLL&gt; </a></em></td></tr>
<tr class="memitem:a87062ddca82faf962aebee44c2e71267"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a87062ddca82faf962aebee44c2e71267"></a>
<a class="el" href="classWIB_1_1WIB__ARCH.html#a87062ddca82faf962aebee44c2e71267">DCC_FEMB_PLL</a>&#160;</td><td class="memItemRight" valign="bottom">  <b></b>  <em><a class="el" href="classDCC__FEMB__PLL.html">&lt;Entity DCC_FEMB_PLL&gt; </a></em></td></tr>
<tr class="memitem:aef9c56a32d77beeaf60363b536646e2f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aef9c56a32d77beeaf60363b536646e2f"></a>
<a class="el" href="classWIB_1_1WIB__ARCH.html#aef9c56a32d77beeaf60363b536646e2f">register_map</a>&#160;</td><td class="memItemRight" valign="bottom">  <b></b>  <em><a class="el" href="classregister__map.html">&lt;Entity register_map&gt; </a></em></td></tr>
<tr class="memitem:a3e9e7a932d93467db651a39313fc3115"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3e9e7a932d93467db651a39313fc3115"></a>
<a class="el" href="classWIB_1_1WIB__ARCH.html#a3e9e7a932d93467db651a39313fc3115">UDP_IO</a>&#160;</td><td class="memItemRight" valign="bottom">  <b></b>  <em><a class="el" href="classUDP__IO.html">&lt;Entity UDP_IO&gt; </a></em></td></tr>
<tr class="memitem:ace1ca901a44d3a282f5e2f09ba208e39"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ace1ca901a44d3a282f5e2f09ba208e39"></a>
<a class="el" href="classWIB_1_1WIB__ARCH.html#ace1ca901a44d3a282f5e2f09ba208e39">localFlash</a>&#160;</td><td class="memItemRight" valign="bottom">  <b></b>  <em><a class="el" href="classlocalFlash.html">&lt;Entity localFlash&gt; </a></em></td></tr>
<tr class="memitem:a97d94775ba970576b424c69ca05fbab5"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a97d94775ba970576b424c69ca05fbab5"></a>
<a class="el" href="classWIB_1_1WIB__ARCH.html#a97d94775ba970576b424c69ca05fbab5">TempSensor</a>&#160;</td><td class="memItemRight" valign="bottom">  <b></b>  <em><a class="el" href="classTempSensor.html">&lt;Entity TempSensor&gt; </a></em></td></tr>
<tr class="memitem:a479afff1184d336d1d8a18858cba0de9"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a479afff1184d336d1d8a18858cba0de9"></a>
<a class="el" href="classWIB_1_1WIB__ARCH.html#a479afff1184d336d1d8a18858cba0de9">DTS</a>&#160;</td><td class="memItemRight" valign="bottom">  <b></b>  <em><a class="el" href="classDTS.html">&lt;Entity DTS&gt; </a></em></td></tr>
<tr class="memitem:a09cea8193a1fde07109f33bcfc79c924"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a09cea8193a1fde07109f33bcfc79c924"></a>
<a class="el" href="classWIB_1_1WIB__ARCH.html#a09cea8193a1fde07109f33bcfc79c924">FEMB_CnC</a>&#160;</td><td class="memItemRight" valign="bottom">  <b></b>  <em><a class="el" href="classFEMB__CnC.html">&lt;Entity FEMB_CnC&gt; </a></em></td></tr>
<tr class="memitem:a1fcaf4e1c1a347e32600b0ad124b4844"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1fcaf4e1c1a347e32600b0ad124b4844"></a>
<a class="el" href="classWIB_1_1WIB__ARCH.html#a1fcaf4e1c1a347e32600b0ad124b4844">FEMB_DAQ</a>&#160;</td><td class="memItemRight" valign="bottom">  <b></b>  <em><a class="el" href="classFEMB__DAQ.html">&lt;Entity FEMB_DAQ&gt; </a></em></td></tr>
<tr class="memitem:a6c2c305b985fbe50eae51547dfeab882"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6c2c305b985fbe50eae51547dfeab882"></a>
<a class="el" href="classWIB_1_1WIB__ARCH.html#a6c2c305b985fbe50eae51547dfeab882">WIB_FEMB_COMM_TOP</a>&#160;</td><td class="memItemRight" valign="bottom">  <b></b>  <em><a class="el" href="classWIB__FEMB__COMM__TOP.html">&lt;Entity WIB_FEMB_COMM_TOP&gt; </a></em></td></tr>
<tr class="memitem:adf7e2a10c988c8133aa567e58c810b0f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="adf7e2a10c988c8133aa567e58c810b0f"></a>
<a class="el" href="classWIB_1_1WIB__ARCH.html#adf7e2a10c988c8133aa567e58c810b0f">EventBuilder</a>&#160;</td><td class="memItemRight" valign="bottom">  <b></b>  <em><a class="el" href="classEventBuilder.html">&lt;Entity EventBuilder&gt; </a></em></td></tr>
<tr class="memitem:aefd1eb17a5ce20ffe289ede47b0d68f0"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aefd1eb17a5ce20ffe289ede47b0d68f0"></a>
<a class="el" href="classWIB_1_1WIB__ARCH.html#aefd1eb17a5ce20ffe289ede47b0d68f0">DQM</a>&#160;</td><td class="memItemRight" valign="bottom">  <b></b>  <em><a class="el" href="classDQM.html">&lt;Entity DQM&gt; </a></em></td></tr>
<tr class="memitem:a0d2b61de83c16ab181140cb82e7e04ad"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a0d2b61de83c16ab181140cb82e7e04ad"></a>
<a class="el" href="classWIB_1_1WIB__ARCH.html#a0d2b61de83c16ab181140cb82e7e04ad">WIB_PWR_MON</a>&#160;</td><td class="memItemRight" valign="bottom">  <b></b>  <em><a class="el" href="classWIB__PWR__MON.html">&lt;Entity WIB_PWR_MON&gt; </a></em></td></tr>
<tr class="memitem:a7d8e0c2f310b1d1239804034465e3b6f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7d8e0c2f310b1d1239804034465e3b6f"></a>
<a class="el" href="classWIB_1_1WIB__ARCH.html#a7d8e0c2f310b1d1239804034465e3b6f">FLASH_loader</a>&#160;</td><td class="memItemRight" valign="bottom">  <b></b>  <em><a class="el" href="enumFLASH__loader.html">&lt;Entity FLASH_loader&gt; </a></em></td></tr>
<tr class="memitem:a4d990f07bd611e8cd6657f1a7d255cb2"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a4d990f07bd611e8cd6657f1a7d255cb2"></a>
<a class="el" href="classWIB_1_1WIB__ARCH.html#a4d990f07bd611e8cd6657f1a7d255cb2">Flash</a>&#160;</td><td class="memItemRight" valign="bottom">  <b></b>  <em><a class="el" href="classFlash.html">&lt;Entity Flash&gt; </a></em></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Signals"></a>
Signals</h2></td></tr>
 <tr class="memitem:a6603b75aa324fc23e96edf429b1369a5"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6603b75aa324fc23e96edf429b1369a5"></a>
<a class="el" href="classWIB_1_1WIB__ARCH.html#a6603b75aa324fc23e96edf429b1369a5">DAQ_refclk</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a31fcb70fba45280b2057acabceb7e110"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a31fcb70fba45280b2057acabceb7e110"></a>
<a class="el" href="classWIB_1_1WIB__ARCH.html#a31fcb70fba45280b2057acabceb7e110">clk_FEMB_128Mhz</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a8f6086ebc3841a2da99e440095c5285a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a8f6086ebc3841a2da99e440095c5285a"></a>
<a class="el" href="classWIB_1_1WIB__ARCH.html#a8f6086ebc3841a2da99e440095c5285a">clk_DUNE</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:acc1c0b45a333467c25b69b9ce1efa64b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="acc1c0b45a333467c25b69b9ce1efa64b"></a>
<a class="el" href="classWIB_1_1WIB__ARCH.html#acc1c0b45a333467c25b69b9ce1efa64b">clk_SBND</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a4cac98ebf2c3b19985591d4380b76798"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a4cac98ebf2c3b19985591d4380b76798"></a>
<a class="el" href="classWIB_1_1WIB__ARCH.html#a4cac98ebf2c3b19985591d4380b76798">clk_100Mhz</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a3cb0598a08a0acf8bff8a73f6123eacb"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3cb0598a08a0acf8bff8a73f6123eacb"></a>
<a class="el" href="classWIB_1_1WIB__ARCH.html#a3cb0598a08a0acf8bff8a73f6123eacb">clk_50Mhz</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ae75a6a5787093678689120e599fcc18a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae75a6a5787093678689120e599fcc18a"></a>
<a class="el" href="classWIB_1_1WIB__ARCH.html#ae75a6a5787093678689120e599fcc18a">clk_40Mhz</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a74b1b229790dcda3f7f2808124e00f7a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a74b1b229790dcda3f7f2808124e00f7a"></a>
<a class="el" href="classWIB_1_1WIB__ARCH.html#a74b1b229790dcda3f7f2808124e00f7a">clk_UDP_IO</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:afecca83901891a4d068f98329f8b46b9"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="afecca83901891a4d068f98329f8b46b9"></a>
<a class="el" href="classWIB_1_1WIB__ARCH.html#afecca83901891a4d068f98329f8b46b9">clk_flash</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a52134ec2b6ee6a43d8a568266bf4dcc1"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a52134ec2b6ee6a43d8a568266bf4dcc1"></a>
<a class="el" href="classWIB_1_1WIB__ARCH.html#a52134ec2b6ee6a43d8a568266bf4dcc1">clk_reconfig</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a00013e18d45cee12552662461e56caae"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a00013e18d45cee12552662461e56caae"></a>
<a class="el" href="classWIB_1_1WIB__ARCH.html#a00013e18d45cee12552662461e56caae">FEMB_locked</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a3ad5f75b174051750dca41ddeb1878a3"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3ad5f75b174051750dca41ddeb1878a3"></a>
<a class="el" href="classWIB_1_1WIB__ARCH.html#a3ad5f75b174051750dca41ddeb1878a3">sys_pll_locked</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a3b98c40748a66c5d5700e8ad6c853451"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3b98c40748a66c5d5700e8ad6c853451"></a>
<a class="el" href="classWIB_1_1WIB__ARCH.html#a3b98c40748a66c5d5700e8ad6c853451">EVB_locked</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aa5d0b545d5955311b1a9184efce8d30a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa5d0b545d5955311b1a9184efce8d30a"></a>
<a class="el" href="classWIB_1_1WIB__ARCH.html#aa5d0b545d5955311b1a9184efce8d30a">EVB_locked_n</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span> <span class="vhdldigit">1</span> <span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:acf3afcc9532d5837059675227e0388e2"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="acf3afcc9532d5837059675227e0388e2"></a>
<a class="el" href="classWIB_1_1WIB__ARCH.html#acf3afcc9532d5837059675227e0388e2">locked_DUNE</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a7531737b653453f2f1ac430a6c3d1171"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7531737b653453f2f1ac430a6c3d1171"></a>
<a class="el" href="classWIB_1_1WIB__ARCH.html#a7531737b653453f2f1ac430a6c3d1171">sys_reset</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a85dcd9421755058e28eb35800d6b651e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a85dcd9421755058e28eb35800d6b651e"></a>
<a class="el" href="classWIB_1_1WIB__ARCH.html#a85dcd9421755058e28eb35800d6b651e">GLB_i_RESET</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:af5c50d89433fa1c70330e9205c50b92a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af5c50d89433fa1c70330e9205c50b92a"></a>
<a class="el" href="classWIB_1_1WIB__ARCH.html#af5c50d89433fa1c70330e9205c50b92a">GLB_RESET</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a76a7bb26e0173474c5fb1d475579af8a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a76a7bb26e0173474c5fb1d475579af8a"></a>
<a class="el" href="classWIB_1_1WIB__ARCH.html#a76a7bb26e0173474c5fb1d475579af8a">REG_RESET</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a948cb5dd674feb5cb0a94f723a8c8470"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a948cb5dd674feb5cb0a94f723a8c8470"></a>
<a class="el" href="classWIB_1_1WIB__ARCH.html#a948cb5dd674feb5cb0a94f723a8c8470">UDP_RESET</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:af30233d096c63ca72fc613bd3cdef4c5"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af30233d096c63ca72fc613bd3cdef4c5"></a>
<a class="el" href="classWIB_1_1WIB__ARCH.html#af30233d096c63ca72fc613bd3cdef4c5">ALG_RESET</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aa2aa041e64355d1a1ac783d3e83065dc"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa2aa041e64355d1a1ac783d3e83065dc"></a>
<a class="el" href="classWIB_1_1WIB__ARCH.html#aa2aa041e64355d1a1ac783d3e83065dc">FEMB_reset</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span> <span class="vhdldigit">1</span> <span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a64b2f71309aefa08281e038c15ea8c5a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a64b2f71309aefa08281e038c15ea8c5a"></a>
<a class="el" href="classWIB_1_1WIB__ARCH.html#a64b2f71309aefa08281e038c15ea8c5a">DCC_locked</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a48321a4dcb6da598a7ca1449b0526ffa"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a48321a4dcb6da598a7ca1449b0526ffa"></a>
<a class="el" href="classWIB_1_1WIB__ARCH.html#a48321a4dcb6da598a7ca1449b0526ffa">FEMB_PLL_locked_n</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span> <span class="vhdldigit">1</span> <span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a55c1214817faf06d6e4c84c195e0effb"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a55c1214817faf06d6e4c84c195e0effb"></a>
<a class="el" href="classWIB_1_1WIB__ARCH.html#a55c1214817faf06d6e4c84c195e0effb">flash_reset</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a5ac03d1b5f17bb0a95a5659b5bafba0b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5ac03d1b5f17bb0a95a5659b5bafba0b"></a>
<a class="el" href="classWIB_1_1WIB__ARCH.html#a5ac03d1b5f17bb0a95a5659b5bafba0b">asmi_dataout</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">3</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a522ecf829c5ecdb81689a9861e8b743d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a522ecf829c5ecdb81689a9861e8b743d"></a>
<a class="el" href="classWIB_1_1WIB__ARCH.html#a522ecf829c5ecdb81689a9861e8b743d">asmi_dclk</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a58dffdf835382f8bf2f234bfa754a683"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a58dffdf835382f8bf2f234bfa754a683"></a>
<a class="el" href="classWIB_1_1WIB__ARCH.html#a58dffdf835382f8bf2f234bfa754a683">asmi_scein</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a4d4be6e1add1afc8cabe2e1187d87a9d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a4d4be6e1add1afc8cabe2e1187d87a9d"></a>
<a class="el" href="classWIB_1_1WIB__ARCH.html#a4d4be6e1add1afc8cabe2e1187d87a9d">asmi_sdoin</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">3</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a117ed0f8db37b8135ead4fc7fde7946e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a117ed0f8db37b8135ead4fc7fde7946e"></a>
<a class="el" href="classWIB_1_1WIB__ARCH.html#a117ed0f8db37b8135ead4fc7fde7946e">asmi_dataoe</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">3</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a0bc0c5df237ba40625c17678c1757b23"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a0bc0c5df237ba40625c17678c1757b23"></a>
<a class="el" href="classWIB_1_1WIB__ARCH.html#a0bc0c5df237ba40625c17678c1757b23">start_udp_mac</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a2021dd819a5c4ab9f7baef25d18130dd"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2021dd819a5c4ab9f7baef25d18130dd"></a>
<a class="el" href="classWIB_1_1WIB__ARCH.html#a2021dd819a5c4ab9f7baef25d18130dd">UDP_FRAME_SIZE</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">11</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aa9f404f7c1d4db806e5f80b04689bdc5"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa9f404f7c1d4db806e5f80b04689bdc5"></a>
<a class="el" href="classWIB_1_1WIB__ARCH.html#aa9f404f7c1d4db806e5f80b04689bdc5">UDP_TIME_OUT_wait</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">31</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a076dbb5afe939a4f90d303c47f60c0ff"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a076dbb5afe939a4f90d303c47f60c0ff"></a>
<a class="el" href="classWIB_1_1WIB__ARCH.html#a076dbb5afe939a4f90d303c47f60c0ff">UDP_header_user_info</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">31</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a00280449ac8395aea837b23660cde366"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a00280449ac8395aea837b23660cde366"></a>
<a class="el" href="classWIB_1_1WIB__ARCH.html#a00280449ac8395aea837b23660cde366">packet_free</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ae9b1935f233f7c0f3bac10a9ae0cd0ff"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae9b1935f233f7c0f3bac10a9ae0cd0ff"></a>
<a class="el" href="classWIB_1_1WIB__ARCH.html#ae9b1935f233f7c0f3bac10a9ae0cd0ff">tx_fifo_used</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">11</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">others</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">&gt;</span><span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a3969327230e06a4c75083df568b91a9e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3969327230e06a4c75083df568b91a9e"></a>
<a class="el" href="classWIB_1_1WIB__ARCH.html#a3969327230e06a4c75083df568b91a9e">RD_WR_ADDR_SEL</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ada899c3a027f000ad3ce19e578d099b0"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ada899c3a027f000ad3ce19e578d099b0"></a>
<a class="el" href="classWIB_1_1WIB__ARCH.html#ada899c3a027f000ad3ce19e578d099b0">rd_strb</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a3d66097a4a5d4a38e7e3f21a8e1b3e6e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3d66097a4a5d4a38e7e3f21a8e1b3e6e"></a>
<a class="el" href="classWIB_1_1WIB__ARCH.html#a3d66097a4a5d4a38e7e3f21a8e1b3e6e">wr_strb</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aab9c6ea3d2b9043dbc98a1249334fcec"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aab9c6ea3d2b9043dbc98a1249334fcec"></a>
<a class="el" href="classWIB_1_1WIB__ARCH.html#aab9c6ea3d2b9043dbc98a1249334fcec">WR_address</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">15</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a3e2c93ff1f4e71015b3a46c357f8619d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3e2c93ff1f4e71015b3a46c357f8619d"></a>
<a class="el" href="classWIB_1_1WIB__ARCH.html#a3e2c93ff1f4e71015b3a46c357f8619d">RD_address</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">15</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a4974e3f95d42aa87c35bd46ad5742b9d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a4974e3f95d42aa87c35bd46ad5742b9d"></a>
<a class="el" href="classWIB_1_1WIB__ARCH.html#a4974e3f95d42aa87c35bd46ad5742b9d">data</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">31</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a1cdf1497fd1da3b4c95787036a33c764"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1cdf1497fd1da3b4c95787036a33c764"></a>
<a class="el" href="classWIB_1_1WIB__ARCH.html#a1cdf1497fd1da3b4c95787036a33c764">rdout</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">31</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:abec548d2af24487c592c0d28ec3980ae"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="abec548d2af24487c592c0d28ec3980ae"></a>
<a class="el" href="classWIB_1_1WIB__ARCH.html#abec548d2af24487c592c0d28ec3980ae">DAQ_LINK_SI5342_SDA_local</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a3ce7ef1eb5f6823287221809bfe8c3de"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3ce7ef1eb5f6823287221809bfe8c3de"></a>
<a class="el" href="classWIB_1_1WIB__ARCH.html#a3ce7ef1eb5f6823287221809bfe8c3de">DAQ_LINK_SI5342_SDA_EN</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a7adbc4118f865fa7f078face18104e2e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7adbc4118f865fa7f078face18104e2e"></a>
<a class="el" href="classWIB_1_1WIB__ARCH.html#a7adbc4118f865fa7f078face18104e2e">CD_stream</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="vhdlchar">CD_stream_array_t</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">LINK_COUNT</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">1</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a72548c0f7d2222444cad7b83a9229866"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a72548c0f7d2222444cad7b83a9229866"></a>
<a class="el" href="classWIB_1_1WIB__ARCH.html#a72548c0f7d2222444cad7b83a9229866">CD_read</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">LINK_COUNT</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">1</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a3c9245fccb3f4e126e2e525881281fa2"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3c9245fccb3f4e126e2e525881281fa2"></a>
<a class="el" href="classWIB_1_1WIB__ARCH.html#a3c9245fccb3f4e126e2e525881281fa2">clk_EVB</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ae065620aea763261d44f96e331b33f29"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae065620aea763261d44f96e331b33f29"></a>
<a class="el" href="classWIB_1_1WIB__ARCH.html#ae065620aea763261d44f96e331b33f29">EVB_reset</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ab489edfc413d347e319eebe54529c1df"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab489edfc413d347e319eebe54529c1df"></a>
<a class="el" href="classWIB_1_1WIB__ARCH.html#ab489edfc413d347e319eebe54529c1df">convert_FEMB</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="vhdlchar">convert_t</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a63109f00edd3b83306130c2160ccd39e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a63109f00edd3b83306130c2160ccd39e"></a>
<a class="el" href="classWIB_1_1WIB__ARCH.html#a63109f00edd3b83306130c2160ccd39e">convert_EB</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="vhdlchar">convert_t</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a1c0652ada99ba239b05b84030ab89765"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1c0652ada99ba239b05b84030ab89765"></a>
<a class="el" href="classWIB_1_1WIB__ARCH.html#a1c0652ada99ba239b05b84030ab89765">convert_DUNE</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="vhdlchar">convert_t</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ad167627c3538147b31539af188fd40f3"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad167627c3538147b31539af188fd40f3"></a>
<a class="el" href="classWIB_1_1WIB__ARCH.html#ad167627c3538147b31539af188fd40f3">DTS_Monitor</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="vhdlchar">DTS_Monitor_t</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a41e723b37600827024deafc6db15b6fd"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a41e723b37600827024deafc6db15b6fd"></a>
<a class="el" href="classWIB_1_1WIB__ARCH.html#a41e723b37600827024deafc6db15b6fd">DTS_Control</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="vhdlchar">DTS_Control_t</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a2afdbd0308fdc10bed1c289a17d101e1"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2afdbd0308fdc10bed1c289a17d101e1"></a>
<a class="el" href="classWIB_1_1WIB__ARCH.html#a2afdbd0308fdc10bed1c289a17d101e1">WIB_Monitor</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="vhdlchar">WIB_Monitor_t</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:af995139a17b804928541ddfdd69525eb"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af995139a17b804928541ddfdd69525eb"></a>
<a class="el" href="classWIB_1_1WIB__ARCH.html#af995139a17b804928541ddfdd69525eb">WIB_Control</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="vhdlchar">WIB_Control_t</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a59f019a8bd47141c4aece7a674d0b4d8"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a59f019a8bd47141c4aece7a674d0b4d8"></a>
<a class="el" href="classWIB_1_1WIB__ARCH.html#a59f019a8bd47141c4aece7a674d0b4d8">FEMB_DAQ_control</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="vhdlchar">FEMB_DAQs_control_t</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a5b351099bd8236257889e88994c357fa"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5b351099bd8236257889e88994c357fa"></a>
<a class="el" href="classWIB_1_1WIB__ARCH.html#a5b351099bd8236257889e88994c357fa">FEMB_DAQ_monitor</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="vhdlchar">FEMB_DAQs_monitor_t</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ad4781d4d7827de24b14714b2725c9090"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad4781d4d7827de24b14714b2725c9090"></a>
<a class="el" href="classWIB_1_1WIB__ARCH.html#ad4781d4d7827de24b14714b2725c9090">FEMB_DQM</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="vhdlchar">FEMB_DQM_t</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:af17ffc34ed619c598103f0575311c4f1"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af17ffc34ed619c598103f0575311c4f1"></a>
<a class="el" href="classWIB_1_1WIB__ARCH.html#af17ffc34ed619c598103f0575311c4f1">EB_Monitor</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="vhdlchar">EB_Monitor_t</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aa01e47040cc05d22f17dd69cec491529"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa01e47040cc05d22f17dd69cec491529"></a>
<a class="el" href="classWIB_1_1WIB__ARCH.html#aa01e47040cc05d22f17dd69cec491529">EB_Control</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="vhdlchar">EB_Control_t</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a135006ad418c9e05d92217805e476fbc"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a135006ad418c9e05d92217805e476fbc"></a>
<a class="el" href="classWIB_1_1WIB__ARCH.html#a135006ad418c9e05d92217805e476fbc">DQM_Monitor</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="vhdlchar">DQM_Monitor_t</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a0e3e224c77964a73cb34afed99ef26b4"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a0e3e224c77964a73cb34afed99ef26b4"></a>
<a class="el" href="classWIB_1_1WIB__ARCH.html#a0e3e224c77964a73cb34afed99ef26b4">DQM_Control</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="vhdlchar">DQM_Control_t</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a52c1d9dea80d94d47dbdc0f2844ac757"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a52c1d9dea80d94d47dbdc0f2844ac757"></a>
<a class="el" href="classWIB_1_1WIB__ARCH.html#a52c1d9dea80d94d47dbdc0f2844ac757">DQM_packet</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="vhdlchar">DQM_packet_t</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">DEFAULT_DQM_PACKET</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a4386a2ab6b2e97a7017030e994ed1cff"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a4386a2ab6b2e97a7017030e994ed1cff"></a>
<a class="el" href="classWIB_1_1WIB__ARCH.html#a4386a2ab6b2e97a7017030e994ed1cff">FEMB_CNC_monitor</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="vhdlchar">FEMB_CNC_Monitor_t</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a6284b31c8669809a576b9ed496ef6294"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6284b31c8669809a576b9ed496ef6294"></a>
<a class="el" href="classWIB_1_1WIB__ARCH.html#a6284b31c8669809a576b9ed496ef6294">FEMB_CNC_control</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="vhdlchar">FEMB_CNC_Control_t</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ad20654cb903fa55cd026854b8ea176b7"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad20654cb903fa55cd026854b8ea176b7"></a>
<a class="el" href="classWIB_1_1WIB__ARCH.html#ad20654cb903fa55cd026854b8ea176b7">Flash_Monitor</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="vhdlchar">Flash_monitor_t</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a6f1a431f8d3dd8745055af8431c6ac59"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6f1a431f8d3dd8745055af8431c6ac59"></a>
<a class="el" href="classWIB_1_1WIB__ARCH.html#a6f1a431f8d3dd8745055af8431c6ac59">Flash_Control</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="vhdlchar">Flash_control_t</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ae826cb46f840127a7193ca968d25424c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae826cb46f840127a7193ca968d25424c"></a>
<a class="el" href="classWIB_1_1WIB__ARCH.html#ae826cb46f840127a7193ca968d25424c">localFlash_control</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="vhdlchar">localFlash_control_t</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a82d4ebca909988a83dbcb3245330c9df"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a82d4ebca909988a83dbcb3245330c9df"></a>
<a class="el" href="classWIB_1_1WIB__ARCH.html#a82d4ebca909988a83dbcb3245330c9df">localFlash_monitor</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="vhdlchar">localFlash_monitor_t</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a9896d8b92b9ae0f3573bbed666ce2bdd"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9896d8b92b9ae0f3573bbed666ce2bdd"></a>
<a class="el" href="classWIB_1_1WIB__ARCH.html#a9896d8b92b9ae0f3573bbed666ce2bdd">UDP_Monitor</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="vhdlchar">UDP_Monitor_t</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a88d16be38e8e70c12d98994b26406b81"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a88d16be38e8e70c12d98994b26406b81"></a>
<a class="el" href="classWIB_1_1WIB__ARCH.html#a88d16be38e8e70c12d98994b26406b81">UDP_Control</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="vhdlchar">UDP_Control_t</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a6bd8560971672318679b7239e89cd3ce"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6bd8560971672318679b7239e89cd3ce"></a>
<a class="el" href="classWIB_1_1WIB__ARCH.html#a6bd8560971672318679b7239e89cd3ce">WIB_PWR_Monitor</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="vhdlchar">WIB_PWR_Monitor_t</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aa3748c5660a9ccce3f158659c0bd17f4"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa3748c5660a9ccce3f158659c0bd17f4"></a>
<a class="el" href="classWIB_1_1WIB__ARCH.html#aa3748c5660a9ccce3f158659c0bd17f4">WIB_PWR_Control</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="vhdlchar">WIB_PWR_Control_t</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a32636f19a881277bc985b3d166c82c00"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a32636f19a881277bc985b3d166c82c00"></a>
<a class="el" href="classWIB_1_1WIB__ARCH.html#a32636f19a881277bc985b3d166c82c00">FEMB_SC_wr_strb</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a89c3e8e3e1789f09438feb18f4b15b62"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a89c3e8e3e1789f09438feb18f4b15b62"></a>
<a class="el" href="classWIB_1_1WIB__ARCH.html#a89c3e8e3e1789f09438feb18f4b15b62">FEMB_SC_rd_strb</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a5979ff52e93b68fb247f691cd80f51fe"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5979ff52e93b68fb247f691cd80f51fe"></a>
<a class="el" href="classWIB_1_1WIB__ARCH.html#a5979ff52e93b68fb247f691cd80f51fe">FEMB_SC_readback_strb</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ad9123e25c34a5b7bc177ea6aad7147d0"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad9123e25c34a5b7bc177ea6aad7147d0"></a>
<a class="el" href="classWIB_1_1WIB__ARCH.html#ad9123e25c34a5b7bc177ea6aad7147d0">FEMB_SC_readback_data</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">31</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">x</span><span class="vhdlchar"> </span><span class="keyword">&quot; deadbeef &quot;</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aef3aabc658a2e270e9005267696d6c7c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aef3aabc658a2e270e9005267696d6c7c"></a>
<a class="el" href="classWIB_1_1WIB__ARCH.html#aef3aabc658a2e270e9005267696d6c7c">FEMB_SC_board</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">3</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">x</span><span class="vhdlchar"> </span><span class="keyword">&quot; 0 &quot;</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a83d34f1df9b13a31efdd6570bbf45652"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a83d34f1df9b13a31efdd6570bbf45652"></a>
<a class="el" href="classWIB_1_1WIB__ARCH.html#a83d34f1df9b13a31efdd6570bbf45652">QSFP_Tx</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">DAQ_LINK_COUNT</span><span class="vhdlchar"> </span><span class="vhdlchar">-</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">1</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">others</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">&gt;</span><span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ac822198ba2382e22f05dc75b4839a29a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac822198ba2382e22f05dc75b4839a29a"></a>
<a class="el" href="classWIB_1_1WIB__ARCH.html#ac822198ba2382e22f05dc75b4839a29a">QSFP_SDA_local</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a11795afe563761f2629c3cb671965995"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a11795afe563761f2629c3cb671965995"></a>
<a class="el" href="classWIB_1_1WIB__ARCH.html#a11795afe563761f2629c3cb671965995">QSFP_SDA_OE</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a09dd5c7864971dd9e21f582d5dec1e28"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a09dd5c7864971dd9e21f582d5dec1e28"></a>
<a class="el" href="classWIB_1_1WIB__ARCH.html#a09dd5c7864971dd9e21f582d5dec1e28">Rx_refclk</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a6c8d4029da7c4e0235b3767b43ac47c2"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6c8d4029da7c4e0235b3767b43ac47c2"></a>
<a class="el" href="classWIB_1_1WIB__ARCH.html#a6c8d4029da7c4e0235b3767b43ac47c2">ip_address</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">STD_LOGIC_VECTOR</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">31</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:af38bb7bc743e03358a1ccc7ebf3074c1"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af38bb7bc743e03358a1ccc7ebf3074c1"></a>
<a class="el" href="classWIB_1_1WIB__ARCH.html#af38bb7bc743e03358a1ccc7ebf3074c1">mac_address</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">STD_LOGIC_VECTOR</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">47</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ae80f65436945cd35381b191509bc65e8"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae80f65436945cd35381b191509bc65e8"></a>
<a class="el" href="classWIB_1_1WIB__ARCH.html#ae80f65436945cd35381b191509bc65e8">sub_address</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">unsigned</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">7</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">x</span><span class="vhdlchar"> </span><span class="keyword">&quot; 00 &quot;</span><span class="vhdlchar"> </span></b></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Instantiations"></a>
Instantiations</h2></td></tr>
 <tr class="memitem:ab296992f63d8465fe59be4912475dc81"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab296992f63d8465fe59be4912475dc81"></a>
<a class="el" href="classWIB_1_1WIB__ARCH.html#ab296992f63d8465fe59be4912475dc81">sys_pll_inst</a>&#160;</td><td class="memItemRight" valign="bottom">  <b>sys_pll</b>  <em><a class="el" href="classsys__pll.html">&lt;Entity sys_pll&gt;</a></em></td></tr>
<tr class="memitem:af90a0b075a4be7f688c7457c7e68a0d9"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af90a0b075a4be7f688c7457c7e68a0d9"></a>
<a class="el" href="classWIB_1_1WIB__ARCH.html#af90a0b075a4be7f688c7457c7e68a0d9">REFCLK_PLL_2</a>&#160;</td><td class="memItemRight" valign="bottom">  <b>REFCLK_PLL</b>  <em><a class="el" href="classREFCLK__PLL.html">&lt;Entity REFCLK_PLL&gt;</a></em></td></tr>
<tr class="memitem:aa353cd5e0d4217bec667341f5bafb8bc"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa353cd5e0d4217bec667341f5bafb8bc"></a>
<a class="el" href="classWIB_1_1WIB__ARCH.html#aa353cd5e0d4217bec667341f5bafb8bc">DCC_FEMB_PLL_1</a>&#160;</td><td class="memItemRight" valign="bottom">  <b>DCC_FEMB_PLL</b>  <em><a class="el" href="classDCC__FEMB__PLL.html">&lt;Entity DCC_FEMB_PLL&gt;</a></em></td></tr>
<tr class="memitem:af0d617ab939d0d2f3e42d66a6a1eff6a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af0d617ab939d0d2f3e42d66a6a1eff6a"></a>
<a class="el" href="classWIB_1_1WIB__ARCH.html#af0d617ab939d0d2f3e42d66a6a1eff6a">SYS_RST_inst</a>&#160;</td><td class="memItemRight" valign="bottom">  <b>sys_rst</b>  <em><a class="el" href="classsys__rst.html">&lt;Entity sys_rst&gt;</a></em></td></tr>
<tr class="memitem:a599122a94cab871a3822276283857fff"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a599122a94cab871a3822276283857fff"></a>
<a class="el" href="classWIB_1_1WIB__ARCH.html#a599122a94cab871a3822276283857fff">reseter_1</a>&#160;</td><td class="memItemRight" valign="bottom">  <b>work.reseter</b>  </td></tr>
<tr class="memitem:a3ed4755ebe4e180878e7095df0cc3453"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3ed4755ebe4e180878e7095df0cc3453"></a>
<a class="el" href="classWIB_1_1WIB__ARCH.html#a3ed4755ebe4e180878e7095df0cc3453">reseter_2</a>&#160;</td><td class="memItemRight" valign="bottom">  <b>work.reseter</b>  </td></tr>
<tr class="memitem:a940b63b9a617d499a150e68fd4f74116"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a940b63b9a617d499a150e68fd4f74116"></a>
<a class="el" href="classWIB_1_1WIB__ARCH.html#a940b63b9a617d499a150e68fd4f74116">reseter_3</a>&#160;</td><td class="memItemRight" valign="bottom">  <b>work.reseter</b>  </td></tr>
<tr class="memitem:ae9d4260f8f5dc3a76c49f52afabaee19"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae9d4260f8f5dc3a76c49f52afabaee19"></a>
<a class="el" href="classWIB_1_1WIB__ARCH.html#ae9d4260f8f5dc3a76c49f52afabaee19">reseter_4</a>&#160;</td><td class="memItemRight" valign="bottom">  <b>work.reseter</b>  </td></tr>
<tr class="memitem:a06bb33d9d0392894c34fd83c01071290"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a06bb33d9d0392894c34fd83c01071290"></a>
<a class="el" href="classWIB_1_1WIB__ARCH.html#a06bb33d9d0392894c34fd83c01071290">reseter_5</a>&#160;</td><td class="memItemRight" valign="bottom">  <b>work.reseter</b>  </td></tr>
<tr class="memitem:a1fc5b5369a7e228c99fd775202c2e3c5"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1fc5b5369a7e228c99fd775202c2e3c5"></a>
<a class="el" href="classWIB_1_1WIB__ARCH.html#a1fc5b5369a7e228c99fd775202c2e3c5">reseter_6</a>&#160;</td><td class="memItemRight" valign="bottom">  <b>work.reseter</b>  </td></tr>
<tr class="memitem:a7094df19fde7ae548fb336884276f221"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7094df19fde7ae548fb336884276f221"></a>
<a class="el" href="classWIB_1_1WIB__ARCH.html#a7094df19fde7ae548fb336884276f221">localFlash_1</a>&#160;</td><td class="memItemRight" valign="bottom">  <b>work.localFlash</b>  </td></tr>
<tr class="memitem:a457eedec57458b1859bfa9a66212649a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a457eedec57458b1859bfa9a66212649a"></a>
<a class="el" href="classWIB_1_1WIB__ARCH.html#a457eedec57458b1859bfa9a66212649a">TempSensor_1</a>&#160;</td><td class="memItemRight" valign="bottom">  <b>work.TempSensor</b>  </td></tr>
<tr class="memitem:a641cb3f0a583e4848faab934012f17b0"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a641cb3f0a583e4848faab934012f17b0"></a>
<a class="el" href="classWIB_1_1WIB__ARCH.html#a641cb3f0a583e4848faab934012f17b0">WIB_PWR_MON_1</a>&#160;</td><td class="memItemRight" valign="bottom">  <b>work.WIB_PWR_MON</b>  </td></tr>
<tr class="memitem:ac344ce09384e368a02ca73536c428a59"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac344ce09384e368a02ca73536c428a59"></a>
<a class="el" href="classWIB_1_1WIB__ARCH.html#ac344ce09384e368a02ca73536c428a59">FLASH_loader_1</a>&#160;</td><td class="memItemRight" valign="bottom">  <b>FLASH_loader</b>  <em><a class="el" href="enumFLASH__loader.html">&lt;Entity FLASH_loader&gt;</a></em></td></tr>
<tr class="memitem:a93c048f29c8b4b8d0af86102cec1ff4e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a93c048f29c8b4b8d0af86102cec1ff4e"></a>
<a class="el" href="classWIB_1_1WIB__ARCH.html#a93c048f29c8b4b8d0af86102cec1ff4e">Flash_2</a>&#160;</td><td class="memItemRight" valign="bottom">  <b>work.Flash</b>  </td></tr>
<tr class="memitem:a93d6a3df6a45a35e8fd1198ac77d8161"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a93d6a3df6a45a35e8fd1198ac77d8161"></a>
<a class="el" href="classWIB_1_1WIB__ARCH.html#a93d6a3df6a45a35e8fd1198ac77d8161">UDP_IO_2</a>&#160;</td><td class="memItemRight" valign="bottom">  <b>work.UDP_IO</b>  </td></tr>
<tr class="memitem:a595e630bdd62dfed5934ba63e5f1e84f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a595e630bdd62dfed5934ba63e5f1e84f"></a>
<a class="el" href="classWIB_1_1WIB__ARCH.html#a595e630bdd62dfed5934ba63e5f1e84f">register_map_1</a>&#160;</td><td class="memItemRight" valign="bottom">  <b>work.register_map</b>  </td></tr>
<tr class="memitem:a5adad99e34aab2859583eb4dfb12f83d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5adad99e34aab2859583eb4dfb12f83d"></a>
<a class="el" href="classWIB_1_1WIB__ARCH.html#a5adad99e34aab2859583eb4dfb12f83d">DTS_1</a>&#160;</td><td class="memItemRight" valign="bottom">  <b>work.DTS</b>  </td></tr>
<tr class="memitem:a7d7b29b69316ae17351b4da05d73dbb2"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7d7b29b69316ae17351b4da05d73dbb2"></a>
<a class="el" href="classWIB_1_1WIB__ARCH.html#a7d7b29b69316ae17351b4da05d73dbb2">FEMB_CnC_1</a>&#160;</td><td class="memItemRight" valign="bottom">  <b>work.FEMB_CnC</b>  </td></tr>
<tr class="memitem:a068b1e4d11fe6f9a2d2aa7aeef0e7bca"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a068b1e4d11fe6f9a2d2aa7aeef0e7bca"></a>
<a class="el" href="classWIB_1_1WIB__ARCH.html#a068b1e4d11fe6f9a2d2aa7aeef0e7bca">FEMBs</a>&#160;</td><td class="memItemRight" valign="bottom">  <b>work.FEMB_DAQ</b>  </td></tr>
<tr class="memitem:af467b17e6bad96d52210f84b0e9081bb"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af467b17e6bad96d52210f84b0e9081bb"></a>
<a class="el" href="classWIB_1_1WIB__ARCH.html#af467b17e6bad96d52210f84b0e9081bb">WIB_FEMB_COMM_TOP_1</a>&#160;</td><td class="memItemRight" valign="bottom">  <b>work.WIB_FEMB_COMM_TOP</b>  </td></tr>
<tr class="memitem:ae09ddd7c868cce417aeac43b78d41f2d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae09ddd7c868cce417aeac43b78d41f2d"></a>
<a class="el" href="classWIB_1_1WIB__ARCH.html#ae09ddd7c868cce417aeac43b78d41f2d">EventBuilder_1</a>&#160;</td><td class="memItemRight" valign="bottom">  <b>work.EventBuilder</b>  </td></tr>
<tr class="memitem:a9b95aadfb32504a96f11fc012ea1f196"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9b95aadfb32504a96f11fc012ea1f196"></a>
<a class="el" href="classWIB_1_1WIB__ARCH.html#a9b95aadfb32504a96f11fc012ea1f196">DQM_1</a>&#160;</td><td class="memItemRight" valign="bottom">  <b>work.DQM</b>  </td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock">
<p>Definition at line <a class="el" href="WIB_8vhd_source.html#l00195">195</a> of file <a class="el" href="WIB_8vhd_source.html">WIB.vhd</a>.</p>
</div><hr/>The documentation for this class was generated from the following files:<ul>
<li>/home/dan/work/DUNE/dune-wib.firmware/trunk/src/<a class="el" href="WIB_8vhd_source.html">WIB.vhd</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Wed Nov 1 2017 10:40:36 for DUNE Warm Interface Board by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.1
</small></address>
</body>
</html>
